openapi: 3.0.0
info:
  title: SAP API
  version: 1.0.0
servers:
- url: http://localhost:8080
paths:
  /rfc/EDI_STATUS_INCOMING:
    post:
      tags:
      - EDI3
      summary: EDI call for inbound processing for file with status records
      operationId: /rfc/EDI_STATUS_INCOMING
      requestBody:
        content:
          application/json:
            schema:
              properties:
                PATHNAME:
                  type: string
                  maxLength: 100
                  description: Path name (including file name)
                PORT:
                  type: string
                  maxLength: 10
                  description: Logical port name (translator, SAP ... )
              required:
              - PATHNAME
              - PORT
      responses:
        '200':
          description: OK
        '400':
          description: Bad request.
        5XX:
          description: Unexpected error.
